package com.xkrs.model.qo;

import com.xkrs.model.validation.DataDictUpdateQoUpdate;

import javax.validation.constraints.NotBlank;

/**
 * @Author: XinYi Song
 * @Date: 2022/1/20 11:23
 */
public class DataDictUpdateQo {

    @NotBlank(message = "{DataDict.id.blank}", groups = {DataDictUpdateQoUpdate.class})
    private Integer id;

    /**
     * 中文名称
     */
    @NotBlank(message = "{DataDict.inspectionItemName.blank}", groups = {DataDictUpdateQoUpdate.class})
    private String inspectionItemName;

    public DataDictUpdateQo() {
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getInspectionItemName() {
        return inspectionItemName;
    }

    public void setInspectionItemName(String inspectionItemName) {
        this.inspectionItemName = inspectionItemName;
    }
}
